> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://amer.developers.trustly.com/llms.txt.
> For full documentation content, see https://amer.developers.trustly.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://amer.developers.trustly.com/_mcp/server.

# Verify an Account

POST https://sandbox.trustly.one/api/v1/accounts/verify
Content-Type: application/json

Allows for verification of most global accounts by passing in an account object containing either bank routing and account numbers or an IBAN.

Reference: https://amer.developers.trustly.com/api-reference/api/accounts/get-accounts-verify

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Trustly API
  version: 1.0.0
paths:
  /accounts/verify:
    post:
      operationId: get-accounts-verify
      summary: Verify an Account
      description: >-
        Allows for verification of most global accounts by passing in an account
        object containing either bank routing and account numbers or an IBAN.
      tags:
        - subpackage_accounts
      parameters:
        - name: expand
          in: query
          description: >-
            A field in the API response to be expanded in order for more details
            to be provided (e.g. account.paymentProvider).
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinancialInstitutionAccount'
        '400':
          description: >-
            One of the request parameters is invalid (sending an invalid amount
            format string for example).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get-accounts-verifyRequestBadRequestError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchantId:
                  type: number
                  format: double
                  description: A unique Trustly merchant identifier.
                account:
                  $ref: >-
                    #/components/schemas/AccountsVerifyPostRequestBodyContentApplicationJsonSchemaAccount
              required:
                - merchantId
                - account
servers:
  - url: https://sandbox.trustly.one/api/v1
components:
  schemas:
    AccountsVerifyPostRequestBodyContentApplicationJsonSchemaAccount:
      type: object
      properties:
        accountNumber:
          type: string
        routingNumber:
          type: string
        iban:
          type: string
          description: >-
            IBAN (International Bank Account Number) is an internationally
            agreed system of identifying bank accounts across national borders
        nameOnAccount:
          type: string
          description: The name of the account owner for name verification purposes.
      title: AccountsVerifyPostRequestBodyContentApplicationJsonSchemaAccount
    FinancialInstitutionAccountType:
      type: string
      enum:
        - '-1'
        - '0'
        - '1'
        - '2'
      description: |
        Financial Institution Account Type:
         * `-1`: Unknown
         * `0`: Other
         * `1`: Checking
         * `2`: Savings        
      title: FinancialInstitutionAccountType
    FinancialInstitutionAccountProfile:
      type: string
      enum:
        - '-1'
        - '0'
        - '1'
        - '2'
      description: |
        Financial Institution Account Profile:
         * `-1`: Unknown
         * `0`: Other
         * `1`: Personal
         * `2`: Business            
      title: FinancialInstitutionAccountProfile
    FinancialInstitutionAccountVerificationType:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
      description: "Verification Type:\n * `1`: Manual - The account was verified with manual account verification. For example, Manual Electronic Check and Micro Challenge Deposit.\n * `2`: Online Banking verification\t- The Account was verified using the Trustly Online Banking application.\n * `3`: Database verification\t- The Account was verified using the Trustly database or a Third-Party Service.  \n"
      title: FinancialInstitutionAccountVerificationType
    FinancialInstitutionAccountVerificationScore:
      type: string
      enum:
        - '0'
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
        - '7'
        - '8'
        - '9'
        - '10'
      description: |
        Verification Score:
         * `0`: Invalid input. The account or routing number are invalid. (Verified Mapping = false)
         * `1`: There is a strong indication that the account is invalid. (Verified Mapping = false)
         * `2`: There are active non-bankable returns on this account that are less than 3 years old. (Verified Mapping = false)
         * `3`: There are administrative returns on this account. (Verified Mapping = false)
         * `4`: The format appears to be suspicious. (Verified Mapping = false)
         * `5`: There is no data on this account or format. (Verified Mapping = false)
         * `6`: We have not seen this account, but the format appears to be valid. (Verified Mapping = true)
         * `7`: We have seen this account but have not received a final disposition on the transaction. (Verified Mapping = true)
         * `8`: We have seen this account, but not in the last 6 months, and have seen no returns associated with the account. (Verified Mapping = true)
         * `9`: We have seen this account in the last 6 months and have seen no returns associated with the account. (Verified Mapping = true)
         * `10`: This account has been directly validated with/by the financial institution or 3rd party. We have the highest confidence that this account is valid. (Verified Mapping = true)
      title: FinancialInstitutionAccountVerificationScore
    FinancialInstitutionAccountVerificationThirdPartyScore:
      type: string
      enum:
        - '0'
        - '100'
        - '200'
        - '300'
        - '400'
        - '500'
        - '600'
        - '700'
        - '800'
        - '900'
        - '999'
      description: |
        Verification Third-Party Score:
         * `0`: Failed RT validation. (Verified Mapping = 0)
         * `100`: The supplier has a strong indication that this account is invalid. (Verified Mapping = 1)
         * `200`: The supplier has active non-bankable debt(s) on this account that are less than 3 years old. (Verified Mapping = 2)
         * `300`: The supplier has administrative returns on this account. (Verified Mapping = 3)
         * `400`: The supplier does not have Neg data on this account, but the format appears to be suspicious. (Verified Mapping = 4)
         * `500`: The supplier does not have data on this account or format. (Verified Mapping = 5)
         * `600`: The supplier has not seen this account, but the format appears valid. (Verified Mapping = 6)
         * `700`: The supplier has seen this account, but did not receive a final disposition on the transaction. (Verified Mapping = 7)
         * `800`: The supplier has seen this account, but not in the last 6 months. (Verified Mapping = 8)
         * `900`: The supplier has seen this account in the last 6 months. (Verified Mapping = 9)
         * `999`: The supplier has the highest confidence that this account is valid. (Verified Mapping = 10)
      title: FinancialInstitutionAccountVerificationThirdPartyScore
    FinancialInstitutionAccountVerification:
      type: object
      properties:
        verified:
          type: boolean
          description: true if the account is verified; false otherwise.
        type:
          $ref: '#/components/schemas/FinancialInstitutionAccountVerificationType'
          description: "Verification Type:\n * `1`: Manual - The account was verified with manual account verification. For example, Manual Electronic Check and Micro Challenge Deposit.\n * `2`: Online Banking verification\t- The Account was verified using the Trustly Online Banking application.\n * `3`: Database verification\t- The Account was verified using the Trustly database or a Third-Party Service.  \n"
        hasEnoughFunds:
          type: boolean
          description: If true, there is enough balance in account.
        verificationDate:
          type: integer
          description: |-
            The date and time the verification was completed 
             as a UNIX timestamp.
        score:
          $ref: '#/components/schemas/FinancialInstitutionAccountVerificationScore'
          description: |
            Verification Score:
             * `0`: Invalid input. The account or routing number are invalid. (Verified Mapping = false)
             * `1`: There is a strong indication that the account is invalid. (Verified Mapping = false)
             * `2`: There are active non-bankable returns on this account that are less than 3 years old. (Verified Mapping = false)
             * `3`: There are administrative returns on this account. (Verified Mapping = false)
             * `4`: The format appears to be suspicious. (Verified Mapping = false)
             * `5`: There is no data on this account or format. (Verified Mapping = false)
             * `6`: We have not seen this account, but the format appears to be valid. (Verified Mapping = true)
             * `7`: We have seen this account but have not received a final disposition on the transaction. (Verified Mapping = true)
             * `8`: We have seen this account, but not in the last 6 months, and have seen no returns associated with the account. (Verified Mapping = true)
             * `9`: We have seen this account in the last 6 months and have seen no returns associated with the account. (Verified Mapping = true)
             * `10`: This account has been directly validated with/by the financial institution or 3rd party. We have the highest confidence that this account is valid. (Verified Mapping = true)
        thirdPartyScore:
          $ref: >-
            #/components/schemas/FinancialInstitutionAccountVerificationThirdPartyScore
          description: |
            Verification Third-Party Score:
             * `0`: Failed RT validation. (Verified Mapping = 0)
             * `100`: The supplier has a strong indication that this account is invalid. (Verified Mapping = 1)
             * `200`: The supplier has active non-bankable debt(s) on this account that are less than 3 years old. (Verified Mapping = 2)
             * `300`: The supplier has administrative returns on this account. (Verified Mapping = 3)
             * `400`: The supplier does not have Neg data on this account, but the format appears to be suspicious. (Verified Mapping = 4)
             * `500`: The supplier does not have data on this account or format. (Verified Mapping = 5)
             * `600`: The supplier has not seen this account, but the format appears valid. (Verified Mapping = 6)
             * `700`: The supplier has seen this account, but did not receive a final disposition on the transaction. (Verified Mapping = 7)
             * `800`: The supplier has seen this account, but not in the last 6 months. (Verified Mapping = 8)
             * `900`: The supplier has seen this account in the last 6 months. (Verified Mapping = 9)
             * `999`: The supplier has the highest confidence that this account is valid. (Verified Mapping = 10)
        numberOfTries:
          type: number
          format: double
          description: Number of tries allowed.
        numberOfAttemptsLeft:
          type: number
          format: double
          description: Number of remaining attempts.
      required:
        - verified
        - type
        - hasEnoughFunds
        - verificationDate
      title: FinancialInstitutionAccountVerification
    PaymentProviderSubType:
      type: string
      enum:
        - '1000'
        - '2000'
        - '2001'
      description: |
        Financial Institution Account Type:
         * `1000`: Online Banking
         * `2000`: Manual Entry
         * `2001`: Manual Entry with Challenge Deposit
      title: PaymentProviderSubType
    Address:
      type: object
      properties:
        address1:
          type: string
          description: Address line 1 (e.g., street or PO Box)
        address2:
          type: string
          description: Address line 2 (e.g., apartment, suite or unit number)
        city:
          type: string
          description: City, district, town or village
        state:
          type: string
          description: State, province or region code
        zip:
          type: string
          description: ZIP or Postal Code
        country:
          type: string
          description: >-
            2 character [ISO Country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
      required:
        - country
      description: Valid mailing or billing address associated with the customer
      title: Address
    PaymentProviderCountry:
      type: string
      enum:
        - US
        - CA
        - UK
        - DE
        - AU
      description: 2-letter ISO country code of the financial institution
      title: PaymentProviderCountry
    PaymentProvider:
      type: object
      properties:
        paymentProviderId:
          type: string
          description: A unique identifier for the Payment Provider.
        type:
          type: number
          format: double
        name:
          type: string
          description: Name of the payment provider
        instantPayoutAvailable:
          type: boolean
          description: Whether payment provider supports instant payout.
        subType:
          $ref: '#/components/schemas/PaymentProviderSubType'
          description: |
            Financial Institution Account Type:
             * `1000`: Online Banking
             * `2000`: Manual Entry
             * `2001`: Manual Entry with Challenge Deposit
        swift:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        country:
          $ref: '#/components/schemas/PaymentProviderCountry'
          description: 2-letter ISO country code of the financial institution
        instantPayment:
          type: boolean
      required:
        - name
      description: Details of the Financial institution
      title: PaymentProvider
    FinancialInstitutionAccountCountry:
      type: string
      enum:
        - US
        - CA
        - UK
        - DE
        - AU
      description: >-
        2-character ISO code of the country for the bank account that was
        selected. Currently only the US, CA, UK, DE, and AU are supported.
      title: FinancialInstitutionAccountCountry
    FinancialInstitutionAccount:
      type: object
      properties:
        required:
          description: Any type
        nameOnAccount:
          type: string
          description: Account owner name.
        name:
          type: string
          description: Account name.
        type:
          $ref: '#/components/schemas/FinancialInstitutionAccountType'
          description: |
            Financial Institution Account Type:
             * `-1`: Unknown
             * `0`: Other
             * `1`: Checking
             * `2`: Savings        
        profile:
          $ref: '#/components/schemas/FinancialInstitutionAccountProfile'
          description: |
            Financial Institution Account Profile:
             * `-1`: Unknown
             * `0`: Other
             * `1`: Personal
             * `2`: Business            
        verification:
          $ref: '#/components/schemas/FinancialInstitutionAccountVerification'
        accountNumber:
          type: string
          description: Last 4 digits of the bank account selected
        routingNumber:
          type: string
          description: Bank Routing Number provided by the selected account.
        iban:
          type: string
          description: >-
            IBAN (International Bank Account Number) is an internationally
            agreed system of identifying bank accounts across national borders
        token:
          type: string
          description: >-
            Account token for the returned account. This can be used to identify
            duplicate bank accounts in your system.
        accountId:
          type: string
        providerId:
          type: string
        paymentProvider:
          $ref: '#/components/schemas/PaymentProvider'
        verified:
          type: boolean
          description: If true, the account is verified.
        country:
          $ref: '#/components/schemas/FinancialInstitutionAccountCountry'
          description: >-
            2-character ISO code of the country for the bank account that was
            selected. Currently only the US, CA, UK, DE, and AU are supported.
      description: Financial Institution account
      title: FinancialInstitutionAccount
    Get-accounts-verifyRequestBadRequestError:
      type: object
      properties:
        message:
          type: string
      title: Get-accounts-verifyRequestBadRequestError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
      description: ''

```

## SDK Code Examples

```python Example ABA
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/verify"

headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example ABA
const url = 'https://sandbox.trustly.one/api/v1/accounts/verify';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example ABA
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/verify"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example ABA
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Example ABA
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/verify")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Example ABA
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/verify', [
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example ABA
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/verify");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Example ABA
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Example IBAN
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/verify"

headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example IBAN
const url = 'https://sandbox.trustly.one/api/v1/accounts/verify';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example IBAN
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/verify"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example IBAN
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Example IBAN
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/verify")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Example IBAN
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/verify', [
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example IBAN
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/verify");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Example IBAN
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Example
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/verify"

payload = {
    "merchantId": 110005502,
    "account": {
        "accountNumber": "123456576",
        "routingNumber": "124003116",
        "country": "US"
    }
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example
const url = 'https://sandbox.trustly.one/api/v1/accounts/verify';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"merchantId":110005502,"account":{"accountNumber":"123456576","routingNumber":"124003116","country":"US"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/verify"

	payload := strings.NewReader("{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"country\": \"US\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"country\": \"US\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/verify")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"country\": \"US\"\n  }\n}")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/verify', [
  'body' => '{
  "merchantId": 110005502,
  "account": {
    "accountNumber": "123456576",
    "routingNumber": "124003116",
    "country": "US"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/verify");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"country\": \"US\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "merchantId": 110005502,
  "account": [
    "accountNumber": "123456576",
    "routingNumber": "124003116",
    "country": "US"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Example Name Verification enabled
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/verify"

payload = {
    "merchantId": 110005502,
    "account": {
        "accountNumber": "1000001900",
        "routingNumber": "124003116",
        "nameOnAccount": "John Smith",
        "country": "US"
    }
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example Name Verification enabled
const url = 'https://sandbox.trustly.one/api/v1/accounts/verify';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"merchantId":110005502,"account":{"accountNumber":"1000001900","routingNumber":"124003116","nameOnAccount":"John Smith","country":"US"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example Name Verification enabled
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/verify"

	payload := strings.NewReader("{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example Name Verification enabled
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Example Name Verification enabled
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/verify")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}")
  .asString();
```

```php Example Name Verification enabled
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/verify', [
  'body' => '{
  "merchantId": 110005502,
  "account": {
    "accountNumber": "1000001900",
    "routingNumber": "124003116",
    "nameOnAccount": "John Smith",
    "country": "US"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example Name Verification enabled
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/verify");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchantId\": 110005502,\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example Name Verification enabled
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "merchantId": 110005502,
  "account": [
    "accountNumber": "1000001900",
    "routingNumber": "124003116",
    "nameOnAccount": "John Smith",
    "country": "US"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```